/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_BTF_MAP_IN_MAP_SKEL_H__
#define __TEST_BTF_MAP_IN_MAP_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_btf_map_in_map {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *inner_map1;
		struct bpf_map *inner_map2;
		struct bpf_map *outer_arr;
		struct bpf_map *outer_hash;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle__sys_enter;
	} progs;
	struct {
		struct bpf_link *handle__sys_enter;
	} links;
	struct test_btf_map_in_map__bss {
		int input;
	} *bss;
};

static void
test_btf_map_in_map__destroy(struct test_btf_map_in_map *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_btf_map_in_map__create_skeleton(struct test_btf_map_in_map *obj);

static inline struct test_btf_map_in_map *
test_btf_map_in_map__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_btf_map_in_map *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_btf_map_in_map__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_btf_map_in_map__destroy(obj);
	return NULL;
}

static inline struct test_btf_map_in_map *
test_btf_map_in_map__open(void)
{
	return test_btf_map_in_map__open_opts(NULL);
}

static inline int
test_btf_map_in_map__load(struct test_btf_map_in_map *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_btf_map_in_map *
test_btf_map_in_map__open_and_load(void)
{
	struct test_btf_map_in_map *obj;

	obj = test_btf_map_in_map__open();
	if (!obj)
		return NULL;
	if (test_btf_map_in_map__load(obj)) {
		test_btf_map_in_map__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_btf_map_in_map__attach(struct test_btf_map_in_map *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_btf_map_in_map__detach(struct test_btf_map_in_map *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_btf_map_in_map__create_skeleton(struct test_btf_map_in_map *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_btf_map_in_map";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "inner_map1";
	s->maps[0].map = &obj->maps.inner_map1;

	s->maps[1].name = "inner_map2";
	s->maps[1].map = &obj->maps.inner_map2;

	s->maps[2].name = "outer_arr";
	s->maps[2].map = &obj->maps.outer_arr;

	s->maps[3].name = "outer_hash";
	s->maps[3].map = &obj->maps.outer_hash;

	s->maps[4].name = "test_btf.bss";
	s->maps[4].map = &obj->maps.bss;
	s->maps[4].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle__sys_enter";
	s->progs[0].prog = &obj->progs.handle__sys_enter;
	s->progs[0].link = &obj->links.handle__sys_enter;

	s->data_sz = 8568;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\xb7\x06\0\0\x01\0\0\0\x15\0\x1c\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x81\0\0\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\
\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x01\0\0\0\
\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0b\0\0\
\0\0\0\x61\x81\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\
\xf8\xff\xff\xff\xbf\x01\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\
\xb7\x06\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x03\0\x11\0\x9f\x10\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x02\0\x7a\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\x50\
\xc8\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x01\0\x51\x68\0\0\0\0\0\0\0\xe0\0\0\0\0\
\0\0\0\x02\0\x7a\0\xe0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\x51\xe8\0\0\0\0\0\
\0\0\x28\x01\0\0\0\0\0\0\x02\0\x7a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\
\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\
\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x13\x01\x03\x0e\x0b\x0b\
\x3a\x0b\x3b\x0b\0\0\x04\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x05\
\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x06\x0f\0\x49\x13\0\0\x07\x01\x01\x49\x13\
\0\0\x08\x21\0\x49\x13\x37\x0b\0\0\x09\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x0a\
\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x0b\x21\0\x49\x13\0\0\x0c\x34\0\x03\x0e\x49\
\x13\x3a\x0b\x3b\x0b\0\0\x0d\x15\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\0\0\
\x0f\x0f\0\0\0\x10\x26\0\0\0\x11\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x12\
\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\
\x49\x13\x3f\x19\0\0\x13\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x34\0\
\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x03\x03\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\x02\0\0\
\0\0\x3f\0\0\0\x01\x1c\x09\x03\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\x01\x0e\x04\0\0\
\0\0\xb9\0\0\0\x01\x0f\0\x04\0\0\0\0\xd8\0\0\0\x01\x10\x08\x04\0\0\0\0\xe9\0\0\
\0\x01\x11\x10\x04\0\0\0\0\xe9\0\0\0\x01\x12\x18\x04\0\0\0\0\xfa\0\0\0\x01\x14\
\x20\x05\x20\x01\x14\x04\0\0\0\0\x0a\x01\0\0\x01\x14\0\x04\0\0\0\0\x1b\x01\0\0\
\x01\x14\x08\x04\0\0\0\0\x2c\x01\0\0\x01\x14\x10\x04\0\0\0\0\x2c\x01\0\0\x01\
\x14\x18\0\0\x06\xbe\0\0\0\x07\xca\0\0\0\x08\xd1\0\0\0\x0c\0\x09\0\0\0\0\x05\
\x04\x0a\0\0\0\0\x08\x07\x06\xdd\0\0\0\x07\xca\0\0\0\x08\xd1\0\0\0\x03\0\x06\
\xee\0\0\0\x07\xca\0\0\0\x08\xd1\0\0\0\x04\0\x07\x05\x01\0\0\x0b\xd1\0\0\0\0\
\x06\x83\0\0\0\x06\x0f\x01\0\0\x07\xca\0\0\0\x08\xd1\0\0\0\x02\0\x06\x20\x01\0\
\0\x07\xca\0\0\0\x08\xd1\0\0\0\x01\0\x06\xca\0\0\0\x02\0\0\0\0\x46\x01\0\0\x01\
\x2e\x09\x03\0\0\0\0\0\0\0\0\x03\0\0\0\0\x18\x01\x25\x04\0\0\0\0\x7f\x01\0\0\
\x01\x26\0\x04\0\0\0\0\x90\x01\0\0\x01\x27\x08\x04\0\0\0\0\xe9\0\0\0\x01\x28\
\x10\x04\0\0\0\0\xa1\x01\0\0\x01\x2d\x18\0\x06\x84\x01\0\0\x07\xca\0\0\0\x08\
\xd1\0\0\0\x0d\0\x06\x95\x01\0\0\x07\xca\0\0\0\x08\xd1\0\0\0\x05\0\x07\xac\x01\
\0\0\x0b\xd1\0\0\0\0\x06\xb1\x01\0\0\x03\0\0\0\0\x20\x01\x06\x04\0\0\0\0\x0a\
\x01\0\0\x01\x07\0\x04\0\0\0\0\x1b\x01\0\0\x01\x08\x08\x04\0\0\0\0\x2c\x01\0\0\
\x01\x09\x10\x04\0\0\0\0\x2c\x01\0\0\x01\x0a\x18\0\x02\0\0\0\0\xca\0\0\0\x01\
\x35\x09\x03\0\0\0\0\0\0\0\0\x02\0\0\0\0\x14\x02\0\0\x01\x4c\x09\x03\0\0\0\0\0\
\0\0\0\x07\x20\x02\0\0\x08\xd1\0\0\0\x04\0\x09\0\0\0\0\x06\x01\x02\0\0\0\0\xb1\
\x01\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x02\0\0\0\0\xb1\x01\0\0\x01\x0c\x09\
\x03\0\0\0\0\0\0\0\0\x0c\0\0\0\0\x5c\x02\0\0\x02\x23\x06\x61\x02\0\0\x0d\x71\
\x02\0\0\x0e\x71\x02\0\0\x0e\x72\x02\0\0\0\x0f\x06\x77\x02\0\0\x10\x0c\0\0\0\0\
\x83\x02\0\0\x02\x39\x06\x88\x02\0\0\x0d\xca\0\0\0\x0e\x71\x02\0\0\x0e\x72\x02\
\0\0\x0e\x72\x02\0\0\x0e\xa2\x02\0\0\0\x11\xad\x02\0\0\0\0\0\0\x03\x1f\x09\0\0\
\0\0\x07\x08\x12\0\0\0\0\0\0\0\0\x38\x01\0\0\x01\x5a\0\0\0\0\x01\x38\xca\0\0\0\
\x13\0\0\0\0\x01\x38\x71\x02\0\0\x14\0\0\0\0\0\0\0\0\x01\x3b\xca\0\0\0\x14\x39\
\0\0\0\0\0\0\0\x01\x3a\xac\x01\0\0\x14\x6f\0\0\0\0\0\0\0\x01\x3b\xca\0\0\0\0\0\
\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x31\x2e\x30\x2e\
\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x31\x2e\x30\x2e\x30\x2d\x31\
\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x34\x2e\x30\x2b\x35\x38\x37\
\x2b\x35\x31\x38\x37\x63\x61\x63\x30\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x62\x74\x66\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x2e\x63\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x37\x37\x2e\x72\x74\x37\x2e\x34\x32\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x37\x37\x2e\x72\x74\x37\x2e\x34\x32\
\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x6f\x75\x74\x65\x72\x5f\x61\x72\x72\0\x74\x79\x70\x65\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\
\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x6f\x75\x74\x65\x72\x5f\x68\x61\x73\x68\0\x69\x6e\
\x6e\x65\x72\x5f\x6d\x61\x70\0\x69\x6e\x70\x75\x74\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x63\x68\x61\x72\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x31\0\x69\x6e\
\x6e\x65\x72\x5f\x6d\x61\x70\x32\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\
\x61\x74\x65\x5f\x65\x6c\x65\x6d\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x74\x78\0\
\x76\x61\x6c\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x03\0\0\x8c\x03\0\0\x63\x02\
\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x19\0\0\0\x04\0\0\x04\x20\0\0\
\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x05\0\0\0\x40\0\0\0\x34\0\0\0\x07\0\0\
\0\x80\0\0\0\x38\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\
\0\0\x49\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\x10\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\x02\x12\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x28\0\
\0\0\x05\0\0\0\x40\0\0\0\x34\0\0\0\x07\0\0\0\x80\0\0\0\x38\0\0\0\x07\0\0\0\xc0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\0\0\0\0\x54\0\0\0\x05\0\0\
\x04\x20\0\0\0\x23\0\0\0\x0b\0\0\0\0\0\0\0\x28\0\0\0\x0d\0\0\0\x40\0\0\0\x5e\0\
\0\0\x0f\0\0\0\x80\0\0\0\x67\0\0\0\x0f\0\0\0\xc0\0\0\0\x72\0\0\0\x13\0\0\0\0\
\x01\0\0\x54\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x17\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x02\x19\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x02\
\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\x04\0\0\0\0\0\0\0\x79\0\0\0\x04\
\0\0\x04\x18\0\0\0\x23\0\0\0\x16\0\0\0\0\0\0\0\x28\0\0\0\x18\0\0\0\x40\0\0\0\
\x5e\0\0\0\x0f\0\0\0\x80\0\0\0\x72\0\0\0\x1b\0\0\0\xc0\0\0\0\x79\0\0\0\0\0\0\
\x0e\x1c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\
\0\x84\0\0\0\x1e\0\0\0\x88\0\0\0\x01\0\0\x0c\x1f\0\0\0\x3c\x02\0\0\0\0\0\x0e\
\x02\0\0\0\x01\0\0\0\x42\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x22\0\0\0\x04\0\0\0\x04\0\0\0\x47\x02\0\0\0\0\0\x0e\x23\0\0\0\x01\
\0\0\0\x50\x02\0\0\x01\0\0\x0f\0\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\x55\x02\0\0\
\x04\0\0\x0f\0\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\
\x15\0\0\0\0\0\0\0\x38\0\0\0\x1d\0\0\0\0\0\0\0\x40\0\0\0\x5b\x02\0\0\x01\0\0\
\x0f\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x69\x6e\x6e\x65\x72\
\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x31\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x32\0\x6f\x75\x74\x65\x72\x5f\x61\
\x72\x72\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\
\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x6f\x75\x74\x65\x72\x5f\x68\x61\x73\x68\0\
\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x37\x37\x2e\x72\x74\x37\x2e\x34\x32\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x37\x37\x2e\x72\x74\x37\x2e\x34\x32\
\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x6d\x61\
\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\
\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x76\
\x61\x6c\x3b\0\x09\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6f\
\x75\x74\x65\x72\x5f\x61\x72\x72\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\
\x20\x28\x21\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x29\0\x09\x76\x61\x6c\x20\x3d\
\x20\x69\x6e\x70\x75\x74\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\
\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x2c\
\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x30\x29\x3b\0\x09\x69\x6e\
\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6f\x75\x74\x65\x72\x5f\x68\
\x61\x73\x68\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x76\x61\x6c\x20\x3d\x20\x69\
\x6e\x70\x75\x74\x20\x2b\x20\x31\x3b\0\x7d\0\x69\x6e\x70\x75\x74\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\x2c\x01\0\0\x40\x01\0\0\0\0\0\0\x08\0\0\0\x9a\0\0\0\x01\0\0\0\0\0\0\0\
\x20\0\0\0\x10\0\0\0\x9a\0\0\0\x12\0\0\0\0\0\0\0\xab\0\0\0\x3c\x01\0\0\0\xe0\0\
\0\x08\0\0\0\xab\0\0\0\x5d\x01\0\0\x06\xec\0\0\x18\0\0\0\xab\0\0\0\0\0\0\0\0\0\
\0\0\x20\0\0\0\xab\0\0\0\x70\x01\0\0\x0e\xf4\0\0\x40\0\0\0\xab\0\0\0\xa4\x01\0\
\0\x06\xf8\0\0\x48\0\0\0\xab\0\0\0\xb5\x01\0\0\x08\0\x01\0\x60\0\0\0\xab\0\0\0\
\xb5\x01\0\0\x06\0\x01\0\x70\0\0\0\xab\0\0\0\xb5\x01\0\0\x08\0\x01\0\x88\0\0\0\
\xab\0\0\0\xc3\x01\0\0\x02\x04\x01\0\xa8\0\0\0\xab\0\0\0\xf3\x01\0\0\x0e\x0c\
\x01\0\xc8\0\0\0\xab\0\0\0\xa4\x01\0\0\x06\x10\x01\0\xd0\0\0\0\xab\0\0\0\x28\
\x02\0\0\x08\x18\x01\0\xd8\0\0\0\xab\0\0\0\x28\x02\0\0\x0e\x18\x01\0\xe0\0\0\0\
\xab\0\0\0\x28\x02\0\0\x06\x18\x01\0\xf0\0\0\0\xab\0\0\0\x28\x02\0\0\x08\x18\
\x01\0\x08\x01\0\0\xab\0\0\0\xc3\x01\0\0\x02\x1c\x01\0\x20\x01\0\0\xab\0\0\0\0\
\0\0\0\0\0\0\0\x28\x01\0\0\xab\0\0\0\x3a\x02\0\0\x01\x28\x01\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\
\0\0\0\0\x38\x01\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\x04\0\x81\0\0\0\x08\x01\x01\xfb\
\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x74\x6f\x6f\
\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x75\x73\x72\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\
\0\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\
\x2e\x63\0\x01\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\
\x2e\x68\0\x02\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x03\0\0\0\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x38\x01\x05\x06\x0a\x22\x06\x03\x45\x20\x05\x0e\x06\
\x03\x3d\x2e\x06\x03\x43\x3c\x05\x06\x06\x03\x3e\x20\x05\x08\x22\x05\x06\x06\
\x3c\x03\x40\x20\x05\x08\x03\xc0\0\x20\x05\x02\x06\x3d\x05\x0e\x4c\x05\x06\x4b\
\x05\x08\x22\x05\x0e\x06\x20\x05\x06\x20\x03\xba\x7f\x20\x05\x08\x03\xc6\0\x20\
\x05\x02\x06\x3d\x05\0\x06\x03\xb9\x7f\x3c\x05\x01\x06\x03\xca\0\x20\x02\x02\0\
\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xd5\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xdf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x08\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x11\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0d\0\x1c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x23\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\xe4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xe8\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x2d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x0d\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x42\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x48\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\x51\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\0\x56\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x61\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x6c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x0d\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xab\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\x94\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0d\0\xb1\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xc3\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\xc7\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xef\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x14\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\x01\0\
\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xf6\0\0\0\x11\0\x05\0\x20\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x42\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x83\0\0\0\x11\
\0\x05\0\x78\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x27\0\
\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x26\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x28\0\0\
\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\
\x90\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\
\x06\0\0\0\0\0\0\0\x0a\0\0\0\x20\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\
\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x21\0\0\0\
\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\
\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\
\x40\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x54\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x6c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x78\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\
\x88\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x94\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xac\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\
\xcb\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xd2\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\
\x32\x01\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x3e\x01\0\0\0\0\0\0\x01\0\0\0\x28\0\0\
\0\x47\x01\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x4f\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\
\0\0\x5b\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x67\x01\0\0\0\0\0\0\x0a\0\0\0\x08\
\0\0\0\x73\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xb2\x01\0\0\0\0\0\0\x0a\0\0\0\
\x10\0\0\0\xba\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc6\x01\0\0\0\0\0\0\x0a\0\0\
\0\x07\0\0\0\xd2\x01\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xde\x01\0\0\0\0\0\0\x0a\0\
\0\0\x0c\0\0\0\xeb\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xf7\x01\0\0\0\0\0\0\x01\
\0\0\0\x26\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x0c\x02\0\0\0\0\0\0\x01\
\0\0\0\x22\0\0\0\x21\x02\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x28\x02\0\0\0\0\0\0\
\x0a\0\0\0\x14\0\0\0\x34\x02\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x3d\x02\0\0\0\0\0\
\0\x0a\0\0\0\x15\0\0\0\x49\x02\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x52\x02\0\0\0\0\
\0\0\x0a\0\0\0\x16\0\0\0\x79\x02\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\xa7\x02\0\0\0\
\0\0\0\x0a\0\0\0\x18\0\0\0\xae\x02\0\0\0\0\0\0\x0a\0\0\0\x19\0\0\0\xb5\x02\0\0\
\0\0\0\0\x01\0\0\0\x1e\0\0\0\xc3\x02\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\xce\x02\0\
\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\xd9\x02\0\0\0\0\0\0\x0a\0\0\0\x1f\0\0\0\xdd\x02\
\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xe8\x02\0\0\0\0\0\0\x0a\0\0\0\x1f\0\0\0\xec\
\x02\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xf7\x02\0\0\0\0\0\0\x0a\0\0\0\x1f\0\0\0\
\xfb\x02\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\x48\x03\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\
\x60\x03\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x6c\x03\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\
\x78\x03\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x84\x03\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\
\x9c\x03\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x1e\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x1e\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\xa0\0\0\0\0\0\0\0\0\0\
\0\0\x1e\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x1e\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\
\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\
\x10\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\
\x30\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\
\x50\x01\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\
\x8e\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\
\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x69\x6e\x70\x75\x74\0\x2e\x62\x73\x73\0\x2e\x72\x65\x6c\x2e\x6d\
\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x6f\x75\x74\x65\x72\
\x5f\x61\x72\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x6f\x75\x74\x65\x72\x5f\x68\x61\x73\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\
\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\
\0\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\
\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x33\0\x69\x6e\x6e\x65\x72\x5f\
\x6d\x61\x70\x32\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x31\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa8\x1a\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x62\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x16\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x31\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x15\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x16\0\0\0\x05\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x8f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x02\0\0\0\0\
\0\0\xcd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x03\0\0\0\0\0\0\xea\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x03\0\0\0\0\0\0\x07\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x98\x15\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x16\0\0\0\x0b\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf2\x06\0\0\0\0\0\0\xcb\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\xea\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbd\x08\0\0\0\0\0\0\x07\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x18\0\0\0\
\0\0\0\x60\0\0\0\0\0\0\0\x16\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\x0e\0\0\0\0\0\0\x60\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x19\0\0\0\0\0\0\x30\x01\0\0\0\0\
\0\0\x16\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xab\0\0\0\x01\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x10\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x1a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x12\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x58\x10\0\0\0\0\0\0\xf6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x97\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\
\x1a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x14\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xde\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x11\0\0\0\
\0\0\0\xd8\x03\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_BTF_MAP_IN_MAP_SKEL_H__ */
